# Uses of Class
it.tdlight.jni.TdApi.ForumTopicIcon

## Uses of TdApi.ForumTopicIcon in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ForumTopicIcon
Modifier and Type
Field
Description
`TdApi.ForumTopicIcon`
TdApi.CreateForumTopic.`icon`
Icon of the topic.
`TdApi.ForumTopicIcon`
TdApi.ForumTopicInfo.`icon`
Icon of the topic.
`TdApi.ForumTopicIcon`
TdApi.MessageForumTopicCreated.`icon`
Icon of the topic.
Constructors in it.tdlight.jni with parameters of type TdApi.ForumTopicIcon
Modifier
Constructor
Description
``
`CreateForumTopic(long chatId, String name, TdApi.ForumTopicIcon icon)`
Creates a topic in a forum supergroup chat; requires canManageTopics administrator or canCreateTopics member right in the supergroup.
``
`ForumTopicInfo(long messageThreadId, String name, TdApi.ForumTopicIcon icon, int creationDate, TdApi.MessageSender creatorId, boolean isGeneral, boolean isOutgoing, boolean isClosed, boolean isHidden)`
Contains basic information about a forum topic.
``
`MessageForumTopicCreated(String name, TdApi.ForumTopicIcon icon)`
A forum topic has been created.